KeepAliveMode (Gradle API 9.2.0)
Description: declaration: package: org.gradle.language.scala.tasks, enum: KeepAliveMode

Package org.gradle.language.scala.tasks

# Enum KeepAliveMode

java.lang.Object
java.lang.Enum<KeepAliveMode>
org.gradle.language.scala.tasks.KeepAliveMode

All Implemented Interfaces:
  `Serializable`, `Comparable<KeepAliveMode>`, `Constable`

@Incubating public enum KeepAliveMode extends Enum<KeepAliveMode>
Describes whether a Scala compiler daemon should be reused.

Since:
  7.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAEMON`
  The compiler is kept alive across builds.
  `SESSION`
  The compiler is kept alive for a session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KeepAliveMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static KeepAliveMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SESSION

    public static final KeepAliveMode SESSION
    The compiler is kept alive for a session.

  - ### DAEMON

    public static final KeepAliveMode DAEMON
    The compiler is kept alive across builds.

- ## Method Details

  - ### values

    public static KeepAliveMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static KeepAliveMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null